--势力场景
--势力战报名

--脚本号
x105002_g_scriptId=105002

--事件交互入口
function x105002_OnDefaultEvent(scene, selfId, targetId)
	BeginEvent(scene)
	AddText(scene,"[43596b]勢力戰報名處[-]")
	AddNumText(scene,x105002_g_scriptId,"報名參加",-2,0)
	AddNumText(scene,x105002_g_scriptId,"進入戰場",-2,1)
	AddNumText(scene,x105002_g_scriptId,"勢力戰說明",-1,2)
	EndEvent(scene)
	DispatchEventList(scene,selfId,targetId,true)
end

--事件列表选中一项
function x105002_OnEventRequest(scene, selfId, targetId, eventId, index)
	if index==0 then
		SignUpGuildBattle(scene, selfId)
	elseif index == 1 then
		EnterToGuildBattle(scene, selfId)
	elseif index==2 then
		BeginEvent(scene)
		AddText(scene,"勢力戰說明：\n1. 势力战每周二、周四的21:00正式开启\n2. 势力等级达到2级，官员提前进行报名的势力才能参加势力战\n3. 势力战每8轮为1个赛季，每轮势力战结束后根据胜负关系发放奖励\n4. 在势力战中占领更多的旗点和击杀怪物将会获得积分，积分攒满后可攻击对方势力的能量水晶，水晶击碎后即可获得胜利\n5. 在势力战结束时如水晶未被击碎，则根据水晶的剩余血量、当前积分来判定胜负。")
		
		AddNumText(scene,x105002_g_scriptId,"報名參加",-2,0)
		AddNumText(scene,x105002_g_scriptId,"進入戰場",-2,1)
		AddNumText(scene,x105002_g_scriptId,"勢力戰說明",-1,2)
		EndEvent(scene)
		DispatchEventList(scene,selfId,targetId,true)
	end
end